> For the complete documentation index, see [llms.txt](https://docs.nextblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nextblock.io/api/examples/golang/keepalive.md).

# Keepalive

Keeping connections alive allows for faster deliveries, especially when using secured connections. \
In order to send a keep alive ping, once you have initialised your api client as described in the previous section you can start an asynchronous task, which sends a keep alive ping every minute. There is no real need to consume the response as it's simply an empty pong response.&#x20;

```go
go func() {
  for {
    _, _ = nextblockApiClient.Ping(context.Background())
    time.Sleep(time.Minute)
  }
}()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nextblock.io/api/examples/golang/keepalive.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
